Referencia APIv1DiscountsBy ID

Delete a discount

DELETE
/v1/discounts/{id}
X-API-Key<token>

Per-store API key created in the dashboard at Settings > Developer > API Keys.

In: header

Path Parameters

id*string
Length1 <= length

Response Body

application/json

application/json

application/json

curl -X DELETE "https://api.whatalo.com/v1/discounts/472819365047"
{
  "data": {
    "deleted": true
  }
}
{
  "error": {
    "code": "FEATURE_ACCESS_DENIED",
    "message": "\"Control de Inventario\" requiere un plan premium. Actualiza tu plan para acceder a esta función.",
    "details": {
      "feature": "inventory"
    }
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  }
}